classification
Title: Properly codesign Mac python 2.7.9.pkg so it can work thru OS X firewall
Type: Stage: resolved
Components: Build, macOS Versions: Python 3.9, Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: James.Wahlman, SilentGhost, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2014-12-26 23:03 by James.Wahlman, last changed 2020-04-20 15:46 by ned.deily. This issue is now closed.

Messages (4)
msg233121 - (view) Author: James Wahlman (James.Wahlman) Date: 2014-12-26 23:03
The app is not code signed properly so when using Python 2.7.9 on OS X 10.10 or any version or OS X I imagine when a user enables the built in OS X firewall and runs Python it complains about allowing the app thru the firewall. The only way to fix since it wasn't signed properly was to install command line tools then typing this in terminal:

sudo codesign -f -s - /System/Library/Frameworks/Python.framework/Versions/2.7/Resources/Python.app

please sign this app properly so it works without this annoying workaround. Thanks ;)
msg233123 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2014-12-26 23:05
Closed issue23118 as identical issue to this one.
msg235512 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-02-07 03:48
Using code signing on OS X sounds like a good idea but does require careful analysis to ensure it is being used correctly.  However, in your example, you are using and signing the Apple-supplied system Python.  It is not advisable to modify system resources like that.  You should open an issue with Apple to request the system Pythons be signed (https://bugreport.apple.com/).  I'll keep this issue open for further investigation of signing of Pythons supplied by python.org installers for OS X.
msg366846 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-04-20 15:46
Thanks to the additional requirements of Gatekeeper in macOS 10.15 Catalina, the binaries included in current python.org installers for macOS are now codesigned as of 3.8.2, 3.7.7, and 2.7.18.
History
Date User Action Args
2020-04-20 15:46:39ned.deilysetstatus: open -> closed
versions: + Python 3.7, Python 3.8, Python 3.9, - Python 3.4, Python 3.5
messages: + msg366846

resolution: fixed
stage: needs patch -> resolved
2015-02-07 03:48:46ned.deilysetmessages: + msg235512
2014-12-27 15:27:55r.david.murraylinkissue23118 superseder
2014-12-26 23:38:11ned.deilysetassignee: ned.deily
stage: needs patch
components: + Build
versions: + Python 3.4, Python 3.5
2014-12-26 23:07:07SilentGhostsetnosy: + ned.deily, ronaldoussoren

components: + macOS
versions: + Python 2.7
2014-12-26 23:05:26SilentGhostsetnosy: + SilentGhost
messages: + msg233123
2014-12-26 23:03:04James.Wahlmancreate